org.apache.ignite.internal.processors.cache.distributed.dht.atomic

## Class GridDhtAtomicCacheEntry

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMapEntry
  - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedCacheEntry
    - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtCacheEntry
      - - org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridDhtAtomicCacheEntry

All Implemented Interfaces:
  GridCacheEntryEx

Direct Known Subclasses:
  GridDhtAtomicOffHeapCacheEntry

    public class GridDhtAtomicCacheEntry
    extends GridDhtCacheEntry

DHT atomic cache entry.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMapEntry

`ATOMIC_VER_COMPARATOR, cctx, flags, key, log, logRef, startVer, val, ver`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtAtomicCacheEntry(GridCacheContext ctx, AffinityTopologyVersion topVer, KeyCacheObject key, int hash, CacheObject val, GridCacheMapEntry next, int hdrId)`

### Method Summary

Methods
`protected String` `cacheName()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtCacheEntry

`addDhtLocal, addReader, checkReaders, checkReadersLocked, clearInternal, clearReader, clearReaders, hasReaders, isDht, localCandidateByNearVersion, mappings, memorySize, onMarkedObsolete, onUnlock, partition, partitionValid, readerId, readers, removeLock, removeLock, removeMapping, removeReader, tmLock, versionedValue`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedCacheEntry

`addLocal, addRemote, addRemote, addRemoved, checkCallbacks, checkOwnerChanged, checkRemoved, checkThreadChain, doneRemote, doneRemote, orderCompleted, readyLock, readyNearLock, recheck, refreshRemotes, remoteMvccSnapshot, removeExplicitNodeLocks, txUnlock`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMapEntry

`addMeta, candidate, candidate, checkObsolete, clear, clearIndex, context, deleted, deletedUnlocked, deletedUnlocked, detached, equals, evictInBatchInternal, evictInternal, expireTime, expireTimeExtras, expireTimeUnlocked, hashCode, hasLockCandidate, hasLockCandidate, hasLockCandidateUnsafe, hasMeta, hasOffHeapPointer, hasValue, hasValueUnlocked, info, initialValue, initialValue, innerGet, innerReload, innerRemove, innerSet, innerUpdate, innerUpdateLocal, invalidate, invalidate, isInternal, isLocal, isNear, isNew, isNewLocked, isOffHeapValuesOnly, isReplicated, isStartVersion, key, keyValue, localCandidate, localCandidates, localOwner, lockedBy, lockedByAny, lockedByThread, lockedByThread, lockedByThread, lockedByThreadUnsafe, lockedByUnsafe, lockedLocally, lockedLocallyByIdOrThread, lockedLocallyUnsafe, markObsolete, markObsolete0, markObsoleteIfEmpty, markObsoleteVersion, meta, mvccExtras, mvccExtras, obsolete, obsolete, obsoleteOrDeleted, obsoleteVersion, obsoleteVersionExtras, obsoleteVersionExtras, offHeapPointer, offHeapPointer, onInvalidate, onTtlExpired, peek, peek, peekVisibleValue, putMetaIfAbsent, rawExpireTime, rawGet, rawGetOrUnmarshal, rawGetOrUnmarshalUnlocked, rawPut, rawTtl, readExternalMeta, readThrough, recordNodeId, releaseSwap, removeMeta, removeMeta, replaceMeta, saveValueForIndexUnlocked, startVersion, ttl, ttlAndExpireTimeExtras, ttlExtras, txKey, unswap, unswap, update, updateIndex, updateTtl, valid, value, valueBytes, valueBytes, valueBytes0, valueBytesUnlocked, version, versionedEntry, versionedValue, visitable, wrap, wrapEviction, wrapLazyValue, wrapVersioned, writeExternalMeta`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtAtomicCacheEntry

    public GridDhtAtomicCacheEntry(GridCacheContext ctx,
                           AffinityTopologyVersion topVer,
                           KeyCacheObject key,
                           int hash,
                           CacheObject val,
                           GridCacheMapEntry next,
                           int hdrId)

Parameters:
  `ctx` - Cache context.
  `topVer` - Topology version at the time of creation (if negative, then latest topology is assumed).
  `key` - Cache key.
  `hash` - Key hash value.
  `val` - Entry value.
  `next` - Next entry in the linked list.
  `hdrId` - Header id.

### Method Detail

#### cacheName

    protected String cacheName()

Overrides:
  `cacheName` in class `GridDhtCacheEntry`
Returns:
  Cache name.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDhtCacheEntry`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015